%global plugin_name     channelsort

Name:           vdr-channelsort
Version:        1.2.6
Release:        1%{?dist}
Summary:        VDR channelsort plugin
License:        GPLv2+
Source:         %{name}-%{version}.tar.xz

Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}
BuildRequires:  gcc-c++
BuildRequires:  vdr-devel >= 1.5.9

%description
This plugin performs a channel sort based on different criterias.

%prep
%setup -q -n %{plugin_name}-%{version}

%build
make %{?_smp_mflags} CFLAGS="-fPIC %optflags" CXXFLAGS="-fPIC %{optflags}"

%install
%make_install
install -dm 755 %{buildroot}%{vdr_configdir}/plugins/%{plugin_name}
touch %{buildroot}%{vdr_configdir}/plugins/%{plugin_name}/fixed.conf

%files
%{vdr_plugindir}/libvdr-%{plugin_name}.so.%{vdr_apiversion}
%dir %{vdr_configdir}/plugins/%{plugin_name}
%config(noreplace) %{vdr_configdir}/plugins/%{plugin_name}/fixed.conf

%changelog
